Subject: Re: bug#55299: 29.0.50; Bug with the mode-line and pixel-scroll-precision-mode

From: Konrad Podczeck <[email-masked]>
Date: Sat, 7 May 2022 13:14:30 +0200

> Am 07.05.2022 um 12:26 schrieb Po Lu <[email-masked]>:
> 
> [Please use X-Debbugs-CC when copying people into bug reports.]
> 
> Konrad Podczeck <[email-masked]> writes:
> 
>> Make an init file just containing the lines:
>> 
>> (pixel-scroll-precision-mode)
>> (setq-default mode-line-format nil)
>> 
>> Open the app, and any file. Do C-x 2. If I scroll upwards in the
>> inactive pane, using the mouse wheel, then pixel-scroll-precision-mode
>> does not work.
> 
> 
> I cannot reproduce this on GNU/Linux, but it sounds similar to a problem
> others have reported on macOS that I could never reproduce.
> 
> This is not the final fix, but please see if the following code fixes
> your problem:
> 
> diff --git a/lisp/pixel-scroll.el b/lisp/pixel-scroll.el
> index b0fe2f56c0..a7cfda2491 100644
> --- a/lisp/pixel-scroll.el
> +++ b/lisp/pixel-scroll.el
> @@ -685,6 +685,8 @@ pixel-scroll-precision
>       (setq window (frame-selected-window window)))
>     (if (and (nth 4 event))
>         (let ((delta (round (cdr (nth 4 event)))))
> +          (when (< delta 1.0)
> +            (setq delta 1.0))
>           (unless (zerop delta)
>             (if (> (abs delta) (window-text-height window t))
>                 (mwheel-scroll event nil)

With this, I get the error message „Wrong type argument: wholenump. 237.0